Create one detail
/fscmRestApi/resources/11.13.18.05/salesOrdersForOrderHub/{OrderKey}/child/additionalInformation
Request
-
OrderKey(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
- application/json
objectDiscriminator Values
object-
Category: string
Maximum Length:
240Default Value:DOO_HEADERS_ADD_INFO -
HeaderId: integer
(int64)
-
ObjectVersionNumber: integer
(int32)
-
SourceTransactionIdentifier: string
Maximum Length:
255 -
SourceTransactionSystem: string
Maximum Length:
255
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
objectDiscriminator Values
object-
Category: string
Maximum Length:
240Default Value:DOO_HEADERS_ADD_INFO -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64 -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
HeaderId: integer
(int64)
-
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:true -
LastUpdatedBy: string
Title:
Updated ByRead Only:trueMaximum Length:64 -
LastUpdateLogin: string
Title:
Last Updated LoginRead Only:trueMaximum Length:32 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
-
SourceTransactionIdentifier: string
Maximum Length:
255 -
SourceTransactionSystem: string
Maximum Length:
255
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example describe how to add a new detail.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/OrderKey/child/additionalInformation"
For example:
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation"
Example Request Body
The following example includes the contents of the request body in JSON format to add a new order header extensible flexfield to an existing order.
You replace the request payload in the example cURL command with the contents of the example request body. The request payload specifies attribute values that the command uses in the record that it creates.
{
"Category":"DOO_HEADERS_ADD_INFO",
"HeaderEffBComplianceDetailsprivateVO":[
{
"ContextCode":"ComplianceDetails",
"_ComplianceInfo":"Compliance info - ASP_0403_003 - 4/3/2018",
"_ComplianceDate":null,
"_CompleteCompliancedate":null,
"_ComplianceReason":"Some reason - ASP_0403_003",
"_ComplianceValue":201
}
]
}Example Response Body
The following example includes the contents of the response body in JSON format:
{
"Category" : "DOO_HEADERS_ADD_INFO",
"CreatedBy" : "SCMOPERATIONS",
"CreationDate" : "2022-10-19T11:03:33+00:00",
"HeaderId" : 300100569195081,
"LastUpdateDate" : "2022-10-19T12:53:11.586+00:00",
"LastUpdateLogin" : "EAC04E4F64A8231BE0533928F80AC581",
"LastUpdatedBy" : "SCMOPERATIONS",
"ObjectVersionNumber" : 6,
"SourceTransactionIdentifier" : "300100569195081",
"SourceTransactionSystem" : "DOO",
"HeaderEffBComplianceDetailsprivateVO" : [ { } ],
"links" : [ {
"rel" : "self",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081",
"name" : "additionalInformation",
"kind" : "item",
"properties" : {
"changeIndicator" : "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000678"
}
}, {
"rel" : "canonical",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081",
"name" : "additionalInformation",
"kind" : "item"
}, {
"rel" : "parent",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01",
"name" : "salesOrdersForOrderHub",
"kind" : "item"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081/child/HeaderEffB1NumHeaderprivateVO",
"name" : "HeaderEffB1NumHeaderprivateVO",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081/child/HeaderEffBComplianceDetailsprivateVO",
"name" : "HeaderEffBComplianceDetailsprivateVO",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081/child/HeaderEffBHeaderContext1privateVO",
"name" : "HeaderEffBHeaderContext1privateVO",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081/child/HeaderEffBHeaderContext2privateVO",
"name" : "HeaderEffBHeaderContext2privateVO",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081/child/HeaderEffBHeaderContext3privateVO",
"name" : "HeaderEffBHeaderContext3privateVO",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081/child/HeaderEffBReseller__InformationprivateVO",
"name" : "HeaderEffBReseller__InformationprivateVO",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081/child/HeaderEffBRevenue_5FManagement_5FInformation_5FHeaderprivateVO",
"name" : "HeaderEffBRevenue_5FManagement_5FInformation_5FHeaderprivateVO",
"kind" : "collection"
}, {
"rel" : "child",
"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_Std_Item_01/child/additionalInformation/300100569195081/child/HeaderEffBSite__Baded__PricingprivateVO",
"name" : "HeaderEffBSite__Baded__PricingprivateVO",
"kind" : "collection"
} ]
}